# Get Attribute Set

Returns a single <b>Attribute Set</b> resource by its identifier, using OData query options (<b>$select</b>, <b>$expand</b>) to shape the result.
<b>Parameters details</b>
<para>
<b>
<i>X-API-KEY</i>
</b>
Custom HTTP request header containing the API key used for authentication.
<b>
<i>Accept-Language</i>
</b>
Standard HTTP request header indicates the natural language and locale that the client prefers.
It can take one of the following values:
<b>*</b> : All the localized content is available in the result, regardless of the culture . This option is currently disabled.
<b><i>null</i></b> : The content localized in the default culture is available in the result.
<b>culture-code</b> : The content localized in the specified culture is available in the result.
Specifying various culture codes or q-factor weighting are currently disabled.
<i>Examples:</i>
- Expression <b>es</b> returns the content localized in the culture <b>es</b>.
- Expression <b>en-us</b> returns the content localized in the culture <b>en-us</b>.
<b>
<i>$select</i>
</b>

Expression describing the list of <b>Attribute Set</b> resource properties to be included in the result.
The full list of the available <b>Attribute Set</b> resource properties is available in the JSON schema returned by the <b>/AttributeSets/$metadata</b> endpoint.
The name of the <b>Attribute Set</b> resource properties (both implicit and custom properties) must be specified.
Currently, the API does not support selecting the properties of an embedded resource or the properties of a resource within an embedded collection.
The expression follows the format: <b>ATTRIBUTE_SET_PROPERTY1_NAME{, ATTRIBUTE_SET_PROPERTY2_NAME...}</b>.
<i>Examples:</i>
- Expression <b>typ_title</b> includes in the result only the property <b>typ_title</b> of the current resource (<b>Attribute Set</b>).
- Expression <b>typ_stat,typ_title</b> includes in the result only the properties <b>typ_stat</b> and <b>typ_title</b> of the current resource (<b>Attribute Set</b>).
<b>
<i>$expand</i>
</b>

Expression describing the list of collections embedded in the <b>Attribute Set</b> resource (<b>Products</b>) to be included in the result.
By default (if no value is supplied to this parameter), the result doesn't include the embedded collections (<b>Products</b>).
The expression follows the format: <b>EMBEDDED_COLLECTION_OF_RESOURCE1_NAME{,EMBEDDED_COLLECTION_OF_RESOURCE1_NAME...}</b>.
Currently only the embedded collections are supported, not the embedded resources.
<i>Examples:</i>
- Expression <b>Products</b> includes in the result the number elements of the <b>Products</b> resource, embedded in the current resource (<b>Attribute Set</b>).
<b>See also:</b> A newer version of this endpoint is available at <b>GET /v2/AttributeSets({id})</b>.
The v2 endpoint returns a typed response with form layout details (<b>ProductLayout</b>, <b>VariantLayout</b>) and differs in structure from this endpoint.

</para>

Endpoint: GET /AttributeSets({attributeSetIdentifier})
Version: 2.0.0

## Path parameters:

  - `attributeSetIdentifier` (integer, required)
    Attribute Set resource identifier

## Query parameters:

  - `$select` (string)

  - `$expand` (string)

## Header parameters:

  - `X-API-KEY` (string)
    Tenant's API key

  - `Accept-Language` (string)
    The localization cultures

## Response 200 fields (application/json):

  - `@readLink` (string)

  - `@editLink` (string)

  - `@etag` (string)

  - `@navigationLinks` (array)

  - `@navigationLinks.uri` (string)

  - `@associationLinks` (array)

  - `@associationLinks.uri` (string)

  - `@context` (string)

  - `value` (any)

## Response 401 fields (application/json):

  - `message` (string)

  - `request_id` (string)

## Response 403 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 404 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 500 fields (application/json):

  - `error` (string)

  - `details` (any)

